<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

use Doctrine\Common\Collections\Collection;
use Sylius\Component\Resource\Model\TranslationInterface;

interface DirectLinkCollectionEntryTranslationInterface extends EntryTranslationInterface, TranslationInterface
{
    public function getDirectLinkCollection(): Collection;

    public function addDirectLink(DirectLinkEntryTranslationInterface $directLinkEntry): self;

    public function removeDirectLink(DirectLinkEntryTranslationInterface $directLinkEntry): self;

    public function hasDirectLink(DirectLinkEntryTranslationInterface $directLinkEntry): bool;
}
