<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Factory;

use Dedi\SyliusMegamenuPlugin\Entity\DirectLinkCollectionEntry;
use Dedi\SyliusMegamenuPlugin\Entity\DirectLinkCollectionEntryInterface;

final class DirectLinkCollectionEntryFactory extends AbstractSpecializedEntryFactory implements DirectLinkCollectionEntryFactoryInterface
{
    public function createNew(): DirectLinkCollectionEntryInterface
    {
        return new DirectLinkCollectionEntry();
    }
}
