<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Entity;

use Doctrine\Common\Collections\Collection;

interface DirectLinkCollectionEntryInterface extends EntryInterface
{
    public function getLabel(): ?string;

    public function setLabel(?string $label): self;

    public function getDirectLinks(): Collection;

    public function addDirectLink(DirectLinkEntryInterface $directLinkEntry): self;

    public function removeDirectLink(DirectLinkEntryInterface $directLinkEntry): self;

    public function hasDirectLink(DirectLinkEntryInterface $directLinkEntry): bool;
}
